# Interface methods for submodule: OptimizerParameterScalesEstimatorTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: OptimizerParameterScalesEstimatorTemplate
class OptimizerParameterScalesEstimatorTemplateProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def EstimateScales(self, scales) -> None:
		""""""
		...

	def EstimateStepScale(self, step) -> float:
		""""""
		...

	def EstimateLocalStepScales(self, step, localStepScales) -> None:
		""""""
		...

	def EstimateMaximumStepSize(self) -> float:
		""""""
		...

